Skip to navigation

Get a user by ID

Returns a user by ID if the caller has permission to view. The following roles have view permission:

  • tenant admins
  • members of any of the user’s organizations

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

user_idstringRequired
ID of user to get

Response

OK
handlestringOptional
idstringOptional
namestringOptional
apiKeyLastChangedAtstring or nullOptional
emailstringOptional
isSuspendedbooleanOptional
passwordLastChangedAtstring or nullOptional

Errors

404
Not Found Error